import 'package:hub/src/core/domain/repositories/hub_repository.dart';
import 'package:hub/src/features/hub/domain/entities/position_entity.dart';
import 'package:hub/src/features/hub/domain/get_latest_positions_use_case.dart';

class GetLatestPositionsUseCaseImpl implements GetLatestPositionsUseCase {
  GetLatestPositionsUseCaseImpl(this._repository);

  final HomeRepository _repository;
  @override
  Future<List<PositionEntity>> getLatestPositions({required String deviceId}) async {
    await Future<void>.delayed(const Duration(milliseconds: 2000));
    return _repository.getLatestPositions(deviceId: deviceId);
  }
}
